net.sf.jasperreports.web.util

## Class DefaultWebResourceHandler

- java.lang.Object
- - net.sf.jasperreports.web.util.AbstractWebResourceHandler
  - - net.sf.jasperreports.web.util.DefaultWebResourceHandler

- All Implemented Interfaces:
    WebResourceHandler

      public class DefaultWebResourceHandler
      extends AbstractWebResourceHandler

  Version:
    $Id$
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.util.AbstractWebResourceHandler

      `PROPERTIES_WEB_RESOURCE_PATTERN_PREFIX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkResourceName(JasperReportsContext jasperReportsContext, java.lang.String resourceName)`
    `static DefaultWebResourceHandler` | `getInstance()`
    `WebResource` | `getResource(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request, java.lang.String resourceUri)`
    `boolean` | `handlesResource(java.lang.String resource)`

    - ### Methods inherited from class net.sf.jasperreports.web.util.AbstractWebResourceHandler

      `handleResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DefaultWebResourceHandler getInstance()

    - #### handlesResource

          public boolean handlesResource(java.lang.String resource)

    - #### getResource

          public WebResource getResource(JasperReportsContext jasperReportsContext,
                                javax.servlet.http.HttpServletRequest request,
                                java.lang.String resourceUri)

      Specified by:
        `getResource` in class `AbstractWebResourceHandler`

    - #### checkResourceName

          protected boolean checkResourceName(JasperReportsContext jasperReportsContext,
                                  java.lang.String resourceName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com